<?php
function FormatURI(URI $uri){
	$image=$uri->GetImage();
	$imageHTML="";
	if ($image!="")
		$imageHTML='<img src="'.$uri->GetImage().'" />';
	return '<a href="'.$uri->GetLinkLocation().'">'.$imageHTML.$uri->GetText().'</a>';
}
?>

<!DOCTYPE html>
<html>
	<head>
		<title>Home | Robware</title>
		<meta charset="UTF-8">
		<meta name="viewport" content="width=device-width, initial-scale=1.0">
		<link href="/style.css" rel="stylesheet" type="text/css" />
		<style type="text/css">
			
		</style>
		<script type="text/javascript">
			
		</script>
	</head>
	<body>
		<div id="main-header">
			<div class="header">
				<h2>
					<span>Home</span>
					<?php
						$__crumbs=Breadcrumbs::GetAll();
						foreach ($__crumbs as $crumb)
							echo '<span>',$crumb['text'],'</span>';
					?>
				</h2>
			</div>
		</div>
		<div id="menu">
			<div>
				<div class="header">
					<img src="/images/logo.png" />
					<h1>Robware</h1>
				</div>
				<div id="nav-container">
					<nav>
						<dl>
							<?php					
							$__controllers=Navigation::Get();
							foreach ($__controllers as $controller){
								echo '<dt>',FormatURI($controller->GetURI()),'</dt>';
								$items=$controller->GetItems();
								if (count($items)>0){
									echo '<div class="sub-pages">';
									foreach ($items as $uri)
										echo '<dd>',FormatURI($uri),'</dd>';
									echo '</div>';
								}
							}
							?>
						</dl>
					</nav>
				</div>
			</div>
		</div>
		<div id="main">
			<div id="content">
	Home page
</div>
			<div id="footer"></div>
		</div>
	</body>
</html>